{include file="default/header.tpl"}

{if $filter == 'topclients'}
<script type="text/javascript" src="templates/default/js/jquery-ui-1.10.3.custom.min.js"></script> 
<script type="text/javascript">
$(document).ready(function(){

	$( "input[name=date_start]" ).datepicker({ dateFormat: 'yy-mm-dd' });
	$( "input[name=date_end]" ).datepicker({ dateFormat: 'yy-mm-dd' });
});
</script>
<link href="templates/default/css/jquery-ui-1.10.3.custom.min.css" rel="stylesheet" type="text/css" media="all" />
<div class="contents" style="margin-top:25px;">
	<div class="bigbox">
		<div class="headbox">إحصائيات العملاء</div>
		<div class="bodybox" id="menu_page" >
			<table class="checker" id="stats_block" border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-bottom:0px;">
				<tr class="even">
					<td colspan="4" align="right">
					<form action="sms.php?mode=sendstats&filter=topclients&year={$filter_year}&month={$filter_month}" method="post">
						<span>
						عرض <select class="fieldclass" name="order">
							<option {if $order eq 'asc'}selected{/if} value="asc">أقل</option>
							<option {if $order eq 'desc'}selected{/if} value="desc">أكثر</option>
						</select>
						 <input type="text" class="fieldclass" name="limit" size="3" value="{$limit}" /> عميل
						حسب <select class="fieldclass" name="order_by">
							<option {if $order_by eq 'total_sms'}selected{/if} value="total_sms">عدد الرسائل</option>
							<option {if $order_by eq 'total_cost'}selected{/if} value="total_cost">عدد النقاط</option>
						</select>
						 من يوم <input type="text" class="fieldclass" name="date_start" size="10" value="{$date_start}" /> 
						 إلى يوم <input type="text" class="fieldclass" name="date_end" size="10" value="{$date_end}" /> 
						</span>
						<input type="submit" value="تنفيذ" class="button" />
					</form>
					</td>
				</tr>
				{if count($clients_List)}
				<tr class="even">
					<td><b> # </b></td>
					<td><b> العميل </b></td>
					<td><b> عدد الرسائل </b></td>
					<td><b> عدد النقاط </b></td>
				</tr>
					{foreach from=$clients_List item=client}
					<tr>
						<td class="Filed1" ><b style="color:#000000;" >{$client.nb}</b></td>
						<td class="Filed1" ><a href="user.php?mode=searchresults&userid={$client.userid}">{$Tk->userinfo($client.userid,'NAME')}</a></td>
						<td class="Filed1" ><b style="color:#000000;" >{$client.total_sms}</b></td>
						<td class="Filed1" ><b style="color:#000000;" >{$client.total_cost}</b></td>
					</tr>
					{/foreach}
				{else}
					<tr>
						<td class="Filed1" colspan="4" ><b style="color:#000000;" >لم يتم تسجيل أي إرسال في هذا التاريخ</b></td>
					</tr>
				{/if}
			</table>
		</div>
	</div>
</div>
{else}
<div class="contents" style="margin-top:25px;">
	<div class="bigbox">
		<div class="headbox">إحصائيات الإرسال لسنة {$sendstats_year}</div>
		<div class="bodybox" id="menu_page" >
			<table class="checker" id="stats_block"border="0" width="100%" cellspacing="0" cellpadding="0" style="margin-bottom:0px;">
				{foreach from=$sendstats.sms key=month item=stats}
				<tr>
					<td class="Filed1"><a href="sms.php?mode=sendstats&filter=topclients&year={$sendstats_year}&month={$month}" >{$months[$month]} ({$month})</a></td>
					<td class="Filed1" style="width:200px;"><b style="color:#000000;" >{$sendstats.sms[$month]}</b></td>
					<td class="Filed1" style="width:200px;"><b style="color:#000000;" >{$sendstats.cost[$month]}</b></td>
				</tr>
				{/foreach}
				<tr class="even">
					<td class="Filed1"><b>الإجمالي</b></td>
					<td class="Filed1"><b style="color:#000000;" >{$sendstats_sms_total} رسالة</b></td>
					<td class="Filed1"><b style="color:#000000;" >{$sendstats_cost_total} نقطة</b></td>
				</tr>
				{if count($years)}
				<tr>
					<td class="Filed1" colspan="3" style="color:#232323;" ><b>الأرشيف: </b>
					{foreach from=$years item=year}
					<a href="sms.php?mode=sendstats&year={$year}" >{$year}</a>
					{/foreach}
					</td>
				</tr>
				{/if}
			</table>
		</div>
	</div>
</div>
{/if}

{include file="default/footer.tpl"}