{include file="default/head.tpl"}
{include file="default/menu.tpl"}
<script type="text/javascript">
$(document).ready(function() {
	function fetch_options_html(country,reload){
		var user_city = '{$user_city}';
		var html = '<option value="0">----{$lang.not_selected}----</option>' ;
		$("select[name=cities_list] .country_"+country).each(function() {
			html += '<option value="'+$(this).val()+'" >'+$(this).html()+'</option>' ;	
		});
		$("select[name=user_city]").html(html);
		$("select[name=user_city]").val(user_city);
	}
	function pre_country(reload){	
		var user_country = $("select[name=user_country]").val();
		$("select[name=user_city] option").hide();
		$(".city_not_selected").show();
		fetch_options_html(user_country,reload);
	}
	$("select[name=user_country]").change(function () {
		pre_country(true);
	});
	pre_country(false);
});
</script>
<div class="block_content block_left">
	<h2>{$lang.register}</h2>
	<div class="body_content">
		<form action="#" method="POST">
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td class="Filed1">{$lang.user_name} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="user_name" size="30" value="{$_POST.user_name}" />
						{if $error.user_name eq 1}
						<div class="showerror">{$lang.error_enter_username}</div>
						{/if}
						{if $error.user_name_exist eq 1}
						<div class="showerror">{$lang.error_username_exist}</div>
						{/if}</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.user_fullname} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="real_name" size="30" value="" />
						{if $error.real_name eq 1}
						<div class="showerror">{$lang.error_username_invalid}</div>
						{/if} 
				</tr>
				<tr>
					<td class="Filed1">{$lang.user_pass} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="password" class="fieldclass" name="user_pass" size="30" value="" />
						{if $error.user_pass eq 1}
						<div class="showerror">{$lang.error_password}</div>
						{/if}</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.user_mail} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="user_email" size="30" dir="ltr" value="{$_POST.user_email}" />
						{if $error.user_email eq 1}
						<div class="showerror">{$lang.error_enter_email}</div>
						{/if}
						{if $error.user_email_exist eq 1}
						<div class="showerror">{$lang.error_email_exist}</div>
						{/if}</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.user_country} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<select class="fieldclass" name="user_country" style="min-width:174px;">
							<option value="0">----{$lang.not_selected}----</option>
							{foreach from=$countries item=country}
								<option {if $user_country==$country.country_id}selected="selected"{/if} value="{$country.country_id}">{$country.country_name}</option>
							{/foreach}
						</select>
						{if $error.user_country eq 1}
						<div class="showerror">{$lang.user_country_error}</div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.user_city} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<select class="fieldclass" name="user_city" style="min-width:174px;">
							<option class="city_not_selected" value="0">----{$lang.not_selected}----</option>
						</select>
						{if $error.user_city eq 1}
						<div class="showerror">{$lang.user_city_error}</div>
						{/if}
						
						<select name="cities_list" style="display:none;">
							{foreach from=$cities item=city}
								<option class="country_{$city.country_id}" value="{$city.city_id}">{$city.city_name}</option>
							{/foreach}
						</select>
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.user_mobile} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="user_mobile" size="30" value="{$_POST.user_mobile}" />
						{if $error.user_mobile eq ''}
						<div class="showerror"> {$lang.note_register} </div>
						{/if}
						{if $error.user_mobile eq 1}
						<div class="showerror">{$lang.error_enter_mobile}</div>
						{/if}
						{if $error.user_mobile_exist eq 1}
						<div class="showerror">{$lang.error_email_mobile}</div>
						{/if}</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.register_captchacode} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="captcha" size="30" value="" />
						<img style="vertical-align:middle;width:100px;cursor:pointer;" src="{$captchaURL}" alt="" onclick="this.src='{$captchaURL}'+Math.random();" />
						{if $error.error_captchacode eq 1}
						<div class="showerror">{$lang.register_error_captchacode}</div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">&nbsp;</td>
					<td class="Filed2">
						<input type="submit" value="{$lang.register_now}" class="button" name="send" />
						<input type="reset" value="{$lang.reset}" class="button" />
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>
{include file="default/footer.tpl"}