{include file="default/head.tpl"}
{include file="default/menu.tpl"}
<script type="text/javascript" src="{$settings->template}js/jquery-ui-1.10.3.custom.min.js"></script> 
<script type="text/javascript">
$(document).ready(function(){
	$( "input[name=sold_date]" ).datepicker({ dateFormat: 'yy-mm-dd' });
});
</script>
<link href="{$settings->template}css/jquery-ui-1.10.3.custom.min.css" rel="stylesheet" type="text/css" media="all" />
<div class="block_content block_left">
	<h2>{$lang.demand_balance}</h2>
	<div class="body_content">
		<form action="#" method="POST">
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td class="Filed1">{$lang.balance_required} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="points" size="30" value="{$points}" />
						{if $error.points eq 1}
						<div class="showerror">{$lang.error_charge_sold}</div>
						{/if}</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.sold_name} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="sold_name" size="30" value="{$sold_name}" />
						{if $error.sold_name eq 1}
							<div class="showerror">{$lang.sold_error}</div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.sold_amount} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="sold_amount" size="30" value="{$sold_amount}" /> {$currency}
						{if $error.sold_amount eq 1}
							<div class="showerror">{$lang.sold_error}</div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.sold_accountnumber} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="sold_accountnumber" size="30" value="{$sold_accountnumber}" />
						{if $error.sold_accountnumber eq 1}
							<div class="showerror">{$lang.sold_error}</div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.sold_date} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="sold_date" size="30" value="{$sold_date}" />
						{if $error.sold_date eq 1}
							<div class="showerror">{$lang.sold_error}</div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.sold_notes}</td>
					<td class="Filed2">
						<textarea  class="fieldclass fieldtextarea" name="sold_notes" cols="40" rows="6">{$sold_notes}</textarea>
					</td>
				</tr>
				<tr>
					<td class="Filed1">&nbsp;</td>
					<td class="Filed2">
						<input type="submit" value="{$lang.order_now}" class="button" name="send" />
						<input type="reset" value="{$lang.reset}" class="button" />
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>
{if $settings->sa4sms_paypal_on and $sa4sms_paypal_handle}
<div class="block_content block_left">
	<h2>{$lang.recharge_by_paypal}</h2>
	<div class="body_content">
		<form action="{seoURL page='Payment'}?mode=process" method="POST">
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td class="Filed1">{$lang.balance_required} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="sold" size="30" value="{$sold}" />
						{if $error.sold eq 1}
						<div class="showerror">{$lang.error_charge_sold}</div>
						{/if}
					</td>
					<td class="Filed2" rowspan="2" ><img style="vertical-align:middle;width:144px;" src="{$settings->template}images/paypal.png" alt="" /></td>
				</tr>
				<tr>
					<td class="Filed1">&nbsp;</td>
					<td class="Filed2">
						<input type="submit" value="{$lang.order_now}" class="button" name="send" />
						<input type="reset" value="{$lang.reset}" class="button" />
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>
{/if}
{include file="default/footer.tpl"}