{include file="default/head.tpl"}
{include file="default/menu.tpl"}


{if $settings->contactblock_on }
<div class="block_content block_left">
	<h2>{$settings->contactblock_title}</h2>
	<div class="body_content" style="padding:10px;">
		{$contactblock_content}
	</div>
</div>
{/if}

<div class="block_content block_left">
	<h2>{$lang.page_contact}</h2>
	<div class="body_content">
		<form action="#" method="POST">
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td class="Filed1">{$lang.contact_name}</td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="contact_name" size="30" value="{$contact_name}" />
						{if $error.contact_name eq 1}
						<div class="showerror">{$lang.error_contact_name}</div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.contact_mail} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="contact_mail" size="30" dir="ltr" value="{$contact_mail}" />
						{if $error.contact_mail eq 1}
						<div class="showerror">{$lang.error_contact_mail}</div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.contact_mobile}</td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="contact_mobile" size="30" value="{$contact_mobile}" />
						{if $error.contact_mobile eq 1}
						<div class="showerror"> {$lang.error_contact_mobile} </div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.contact_message} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<textarea name="contact_message" class="fieldclass fieldtextarea" cols="40" rows="8"  >{$contact_message}</textarea>
						{if $error.contact_message eq 1}
						<div class="showerror">{$lang.error_contact_message}</div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.register_captchacode} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="captcha" size="30" value="" />
						<img style="vertical-align:middle;width:100px;cursor:pointer;" src="{$captchaURL}" alt="" onclick="this.src='{$captchaURL}'+Math.random();" />
						{if $error.error_captchacode eq 1}
						<div class="showerror">{$lang.register_error_captchacode}</div>
						{/if}
					</td>
				</tr>
				<tr>
					<td class="Filed1">&nbsp;</td>
					<td class="Filed2">
						<input type="submit" value="{$lang.submit}" class="button" name="send" />
						<input type="reset" value="{$lang.reset}" class="button" />
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>
{include file="default/footer.tpl"}