{include file="default/head.tpl"}
{include file="default/menu.tpl"}
<script type="text/javascript" src="{$settings->template}js/jquery-ui-1.10.3.custom.min.js"></script> 
<script type="text/javascript">
function limitText(limitField, limitCount, limitNum) {
	if (limitField.value.length > limitNum) {
		limitField.value = limitField.value.substring(0, limitNum);
	} else {
		limitCount.value = limitNum - limitField.value.length;
	}
}

function set_loading(msg){
	del_loading();
	var html = '' ;
	if(msg){
		var html = '<br />'+msg ;
	}
	$('body:first').prepend('<div id="pop_loading" style="top: 0;left: 0;height: 100%; width: 100%;z-index: 2000;position: fixed; display: block;"><div style="background-color: black;  opacity: 0.3;filter:alpha(opacity=30); position: absolute;left: 0px; top: 0px; width: 100%; height: 100%;"></div><div style="margin:100px auto;border:5px #DFDFDF solid;width:500px;background-color:#FFFFFF;opacity:0.9;filter:alpha(opacity=99);text-align:center;padding:5px;"><img src="{$settings->template}images/loading2.gif" alt="" />'+html+'</div></div>');
}

function del_loading(){
	$("#pop_loading").remove();
}

function msgbox(msg){
	del_loading();
	alert(msg);
}

function msgbox_confirm(msg){
	del_loading();
	return confirm(msg);
}

$(document).ready(function(){
	$.ajaxSetup ({
		cache: false
	});

	$("#form_adgroups").submit(function() {
		set_loading();
		$.ajax({ async: true,
			type: 'POST',
			url: window.location.href ,
			data: $("#form_adgroups").serialize()+'&getinfo=true',  
			success: function(data) {
				var info = data.split('|')[1];
				var result = data.split('|')[0];
				
				if(result.match(/false/gi)){
					msgbox(info);
					return false ;
				}
				
				if(result.match(/true/gi)){
					
					if(data.split('|')[2]=='match'){
						if(msgbox_confirm(data.split('|')[3])){
							$("#form_adgroups").append('<input id="sa4sms_doforce" type="hidden" name="doforce" value="1" /> ');
						} else {
							$("#sa4sms_doforce").remove();
							return false ;
						}
					} else {
						$("#sa4sms_doforce").remove();
					}
						
					if(msgbox_confirm(info)){
						$.ajax({ async: true,
							type: 'POST',
							url: window.location.href ,
							data: $("#form_adgroups").serialize() ,  
							success: function(data2) {
								var info2 = data2.split('|')[1];
								var result2 = data2.split('|')[0];
								if(result2.match(/goto/gi)){
									window.location.href = info2 ;
									return false ;
								}
								msgbox(info2);
								setTimeout(function(){
									window.location.href = "{seoURL page='MsgList'}" ;
								},20000); 
								return false ;
							}
						});
						$("#form_adgroups")[0].reset();
						set_loading('{$lang.sending}');
						setTimeout(function(){
							window.location.href = "{seoURL page='MsgList'}" ;
						},20000);
						return false ;
					}
				}
				return false ;
			}
		});
		fetch_smsinfo();
		return false ;	
	});
	
	var fetch_smsinfo_op = false ;
	function fetch_smsinfo(){
		if($('#messagetext').val()!='' && fetch_smsinfo_op == false){
			fetch_smsinfo_op = true ;
			$.ajax({ async: true,
				type: 'POST',
				url: window.location.href ,
				data: $("#form_adgroups").serialize()+'&getinfo=true&smsinfo=true',  
				success: function(data) {
					fetch_smsinfo_op = false ;
					if(data.split('|')[0]=='true'){
						$("#smsinfo").html(data.split('|')[1]);
						$("#smsinfo").show();
					}else{
						$("#smsinfo").html('');
						$("#smsinfo").hide();
					}
				}
			});
		}else if($('#messagetext').val()==''){
			$("#smsinfo").html('');
			$("#smsinfo").hide();
		}
	}
	$("#form_adgroups input, #form_adgroups select").change(function(){
		fetch_smsinfo();
	});

    $('#messagetext').keyup(function(){
		fetch_smsinfo();
		$(this).css('direction', 'ltr');
		$(this).css('text-align', 'left');
		for (pos = 0; pos <= $(this).val().length; pos++){
		   var chr = $(this).val().charAt(pos);
		   if("z" < chr && chr != " " ){
				$(this).css('direction', 'rtl');
				$(this).css('text-align', 'right');
				return;
		   }
		}
    });
	
	function calc_admobiles_total(){	
		var admobiles_total = 0 ;
		 $('input[name="adgroups[]"]:checked').each(function () {
			admobiles_total += parseInt($(this).attr('rel'));
		});
		return admobiles_total ;
	}
	
	$('input[name="adgroups[]"]').click(function () {
		var admobiles_total = calc_admobiles_total();
		$("#admobiles_total").val(admobiles_total);
	});
	
    $('#admobiles_total').keyup(function(){
		var t = parseInt($("#admobiles_total").val());
		var admobiles_total = calc_admobiles_total();
		if(t<1 || t > admobiles_total){			
			$("#admobiles_total").val(admobiles_total);
		}
    });
	
	$("#search_button").click(function() {
		var search_tag = $("#search_tag").val();
		var search_result = $('#adgroups_rows tr[data-tags*="'+search_tag+'"]').length;
		if(search_result < 1){
			$("#search_tag").css('border-color', '#F794B3');
		}else{
			$("#search_tag").css('border-color', '#B3F2AE');		
		}
		
		$("#adgroups_rows tr").css('background-color', '#FFFFFF');
		$('#adgroups_rows tr[data-tags*="'+search_tag+'"]').insertBefore($("#adgroups_rows tr").first());
		$("#adgroups_rows_block").scrollTop(0);
		$('#adgroups_rows tr[data-tags*="'+search_tag+'"]').css('background-color', '#E0EDF9');
	});
	
	$('#sendsms_date').change(function(){
	   if( $('#sendsms_date').val() == 1){
			$('#block_date').show();
	   } else {
			$('#block_date').hide();
	   }
	});
    if( $('#sendsms_date').val() == 1){
		$('#block_date').show();
    } else {
		$('#block_date').hide();
    }
	$( "input[name=date_day]" ).datepicker({ dateFormat: 'yy-mm-dd' });
});

</script> 
<link href="{$settings->template}css/jquery-ui-1.10.3.custom.min.css" rel="stylesheet" type="text/css" media="all" />
<div class="block_content block_left">
	<h2>{$lang.adgroups}</h2>
	<div class="body_content">
		<form id="form_adgroups" action="{seoURL page='NewMsg'}?action=adgroups" method="post">
			
			<div class="prices_search">
			<input id="search_tag" type="text" class="fieldclass" name="search" size="10" value="" />
			<input id="search_button" type="button" value=" {$lang.search} " class="button" />
			</div>
			<div style="clear:both;"></div>
			<div id="adgroups_rows_block" style="max-height:300px;overflow:auto;">
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
			<tr class="tabcont">
				<td class="tabhead" style="width:20px;">&nbsp;</td>
				<td class="tabhead" style="width:200px;"><b> {$lang.group} </b></td>
				<td class="tabhead"><b> {$lang.mobiles_count} </b></td>
			</tr>
			<tbody id="adgroups_rows">
			{if $adgroups }
			{section name=x loop=$adgroups}
				<tr class="tabcont" data-tags="{$adgroups[x].adgroup_name}" style="line-height:20px;vertical-align:middle;{if !$adgroups[x].user_can_use}opacity:0.5;background-color:#FFF7F7;{/if}" >
					<td style="width:20px;vertical-align:middle;" ><input {if !$adgroups[x].user_can_use}disabled="disabled"{/if} {if $adgroups[x].checked }checked="checked"{/if} type="checkbox" name="adgroups[]" value="{$adgroups[x].adgroup_id}" rel="{$adgroups[x].admobiles_count}" /></td>
					<td class="text_align" style="width:200px;vertical-align:middle;" >
					<b>{$adgroups[x].adgroup_name}</b>
					<div style="font-size:10px;">
						<div>{if $adgroups[x].adgroup_is_private eq 1}<b style="color:green;">{$lang.private}</b>{else}{$lang.general}{/if}</div>
						{if $adgroups[x].adgroup_is_private eq 1}
						<div>{$lang.adgroup_count}: {$adgroups[x].user_count}</div>
						<div>{if $adgroups[x].user_end_time}{$lang.adgroup_end_date}: {$adgroups[x].user_end_date}{/if}</div>
						{/if}
					</div>
					</td>
					<td style="width:200px;vertical-align:middle;">{$adgroups[x].admobiles_count}</td>
				</tr>
			{/section}
			</tbody>
			<tr class="tabcont">
				<td class="tabhead" colspan="3" style="background-color:#EFF7FF;">
				<a href="{seoURL page='NewTicket'}" title="{$lang.new_ticket}" >{$lang.adgroup_get_private}</a> 
				</td>
			</tr>
			</table>
			</div>
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
			<tr class="tabcont" >
				<td class="tabhead" style="width:20px;">&nbsp;</td>
				<td class="tabhead" style="width:200px;"><b>{$lang.invoices_total}</b></td>
				<td class="tabhead" ><input id="admobiles_total" type="text" class="fieldclass" name="admobiles_total" size="30" value="0" style="text-align:center;" /></td>
			</tr>
			<tr class="tabcont">
				<td class="Filed1" colspan="1">
				{$lang.sender_name}</td>
				<td class="Filed1" colspan="2" style="vertical-align:middle;">
					{if $userinfo.sender_active or  $settings->sender_active }
						<input type="text" class="fieldclass" name="sender" size="30" value="{$Tk->profile('SENDER')}" maxlength="{Sender_MaxLength}" />
					{else}
						<select id="sendsms_sender" class="fieldclass" name="sender">
						{foreach key=k item=sender from=$sender_list}
							<option  {if $Tk->profile('SENDER') == $sender } selected="selected" {/if} value="{$sender}">{$sender}</option>
						{/foreach}
						</select>
					{/if}		
					<span class="style1"><a href="{seoURL page='NameList'}?r=adgroups" title="{$lang.change_sender_name}" >{$lang.list_names}</a>
				</td>
			</tr>
			<tr class="tabcont">
				<td class="Filed1" colspan="1">{$lang.message}</td>
				<td class="Filed1" colspan="2" style="vertical-align:middle;">
				<textarea name="messagetext" class="fieldclass fieldtextarea" style="width:94%;" id="messagetext" cols="40" rows="8" onkeydown="limitText(this.form.messagetext,this.form.countdown,{$settings->SITE_MAXLENGTH});" onkeyup="limitText(this.form.messagetext,this.form.countdown,{$settings->SITE_MAXLENGTH});" maxlength="{$settings->SITE_MAXLENGTH}">{$smstxt}</textarea>
				</td>
			</tr>
			<tr class="tabcont">
				<td class="Filed1" colspan="1" style="vertical-align:middle;">
				{$lang.remaining_characters}</td>
				<td class="Filed1" colspan="2" style="vertical-align:middle;"> <input class="fieldclass" readonly="readonly" type="text" name="countdown" style="width:40px;text-align:center;" value="{$settings->SITE_MAXLENGTH}" />
				</td>
			</tr>
			<tr class="tabcont">
				<td class="Filed1" colspan="1" style="vertical-align:top;padding-top:8px;">{$lang.sendsms_date}</td>
				<td class="Filed2" colspan="2">
					<select id="sendsms_date" class="fieldclass" style="width:90px;" name="sendsms_date">
						<option  {if $sendsms_date==0} selected="selected" {/if} value="0">{$lang.sendsms_date_now}</option>
						<option  {if $sendsms_date==1} selected="selected" {/if} value="1">{$lang.sendsms_date_next}</option>
					</select>	
					<div id="block_date" style="display:none;">
						{if $error.date_day eq 1}
						<div class="showerror">{$lang.error_date_day}</div>
						{/if}
						{$lang.sendsms_date_day}:<br /> <input type="text" class="fieldclass" name="date_day" size="30" value="{$date_day}" />
						<br />{$lang.sendsms_date_hour}:<br /> <select class="fieldclass" style="width:90px;" name="date_hour">{foreach item=hour from=$date_hours}<option  {if $date_hour==$hour} selected="selected" {/if} value="{$hour}">{$hour}</option>{/foreach}</select>
						<br />{$lang.sendsms_date_minute}:<br /> <select class="fieldclass" style="width:90px;" name="date_minute">{foreach item=minute from=$date_minutes}<option {if $date_minute==$minute} selected="selected" {/if} value="{$minute}">{$minute}</option>{/foreach}</select>
					</div>					
				</td>
			</tr>
			<tr class="tabcont">
				<td class="Filed1" colspan="1" style="vertical-align:middle;">
				{$lang.adgroups_mobile} 
				</td>
				<td class="Filed1" colspan="2" style="vertical-align:middle;"><input class="fieldclass" type="text" name="adgroups_mobile" value="" />
				</td>
			</tr>
			<tr class="tabcont">
				<td class="Filed1" colspan="1">&nbsp;</td>
				<td class="Filed1" colspan="2" style="vertical-align:middle;">
					<input type="submit" value="{$lang.send_now}" class="button" name="send" />
					<input type="reset" value="{$lang.reset}" class="button" />
					<input type="hidden" name="send_session" value="{$send_session}"  />
					<div id="smsinfo" style="background-color:#FFFEF2;border:1px dotted #EDED97;width:300px;display:none;padding:5px;margin-top:5px;margin-bottom:5px;"  ></div>		
				</td>
			</tr>
			{/if}
			</table>
			
		</form>
	</div>
</div>


{include file="default/footer.tpl"}