{include file="default/head.tpl"}
{include file="default/menu.tpl"} 
<script type="text/javascript" src="{$settings->template}js/global.js"></script> 
<script type="text/javascript" src="{$settings->template}js/jquery-ui-1.10.3.custom.min.js"></script> 
<script type="text/javascript">
function limitText(limitField, limitCount, limitNum) {


	if (limitField.value.length > limitNum) {


		limitField.value = limitField.value.substring(0, limitNum);


	} else {


		limitCount.value = limitNum - limitField.value.length;


	}


}

$(document).ready(function(){
	$( "input[name=reminder_date_start]" ).datepicker({ dateFormat: 'yy-mm-dd' });
	$( "input[name=reminder_date_end]" ).datepicker({ dateFormat: 'yy-mm-dd' });
});

</script> 

<link href="{$settings->template}css/jquery-ui-1.10.3.custom.min.css" rel="stylesheet" type="text/css" media="all" />
<div class="block_content block_left">
	<h2>{$mini_title}</h2>
	<div class="body_content">
		<form action="#" method="POST">
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td class="Filed1" style="vertical-align:top;padding-top:8px;">{$lang.status}</td>
					<td class="Filed2">
						<select id="reminder_status" class="fieldclass" style="width:90px;" name="reminder_status">
							<option  {if $reminderdata.reminder_status==0} selected="selected" {/if} value="0">{$lang.status_disabled}</option>
							<option  {if $reminderdata.reminder_status==1} selected="selected" {/if} value="1">{$lang.status_enabled}</option>
						</select>
					</td>	
				</tr>
				<tr>
					<td class="Filed1">{$lang.reminders_name} </td>
					<td class="Filed2">
						<input class="fieldclass" type="text" name="reminder_name" value="{$reminderdata.reminder_name}" />
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.message} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<textarea name="reminder_message" class="fieldclass fieldtextarea"  id="messagetext" cols="40" rows="8" onkeydown="limitText(this.form.messagetext,this.form.countdown,{$settings->SITE_MAXLENGTH});" onkeyup="limitText(this.form.messagetext,this.form.countdown,{$settings->SITE_MAXLENGTH});" maxlength="{$settings->SITE_MAXLENGTH}">{$reminderdata.reminder_message}</textarea>
						{if $error.messagetext eq 1}
						<div class="showerror">{$lang.error_message_required}</div>
						{/if}</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.remaining_characters} </td>
					<td class="Filed2">
						<input class="fieldclass" disabled="disable" readonly type="text" name="countdown" size="1" value="{$settings->SITE_MAXLENGTH}" />
					</td>
				</tr>
				<tr>
					<td class="Filed1" style="vertical-align:top;padding-top:8px;">{$lang.sendsms_date}</td>
					<td class="Filed2">
						<span class="color_a">{$lang.sendsms_date_hour}:</span><br /> <select class="fieldclass" style="width:90px;" name="reminder_hour">{foreach item=hour from=$date_hours}<option  {if $reminderdata.reminder_hour==$hour} selected="selected" {/if} value="{$hour}">{$hour}</option>{/foreach}</select><br />
						<span class="color_a">{$lang.sendsms_date_minute}:</span><br /> <select class="fieldclass" style="width:90px;" name="reminder_minute">{foreach item=minute from=$date_minutes}<option {if $reminderdata.reminder_minute==$minute} selected="selected" {/if} value="{$minute}">{$minute}</option>{/foreach}</select><br />
						<span class="color_a">{$lang.days}:</span><br />
						<input  {if $reminderdata.reminder_sunday} checked="checked" {/if} type="checkbox" name="reminder_sunday" value="1" />{$lang.days_sunday}<br />
						<input  {if $reminderdata.reminder_monday} checked="checked" {/if} type="checkbox" name="reminder_monday" value="1" />{$lang.days_monday}<br />
						<input  {if $reminderdata.reminder_tuesday} checked="checked" {/if} type="checkbox" name="reminder_tuesday" value="1" />{$lang.days_tuesday}<br />
						<input  {if $reminderdata.reminder_wednesday} checked="checked" {/if} type="checkbox" name="reminder_wednesday" value="1" />{$lang.days_wednesday}<br />
						<input  {if $reminderdata.reminder_thursday} checked="checked" {/if} type="checkbox" name="reminder_thursday" value="1" />{$lang.days_thursday}<br />
						<input  {if $reminderdata.reminder_friday} checked="checked" {/if} type="checkbox" name="reminder_friday" value="1" />{$lang.days_friday}<br />
						<input  {if $reminderdata.reminder_saturday} checked="checked" {/if} type="checkbox" name="reminder_saturday" value="1" />{$lang.days_saturday}
					</td>	
				</tr>
				<tr>
					<td class="Filed1">{$lang.reminders_date_start} </td>
					<td class="Filed2">
						<input class="fieldclass" type="text" name="reminder_date_start" value="{$reminderdata.reminder_date_start}" />
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.reminders_date_end} </td>
					<td class="Filed2">
						<input class="fieldclass" type="text" name="reminder_date_end" value="{$reminderdata.reminder_date_end}" />
					</td>
				</tr>
				<tr>
					<td class="Filed1">&nbsp;</td>
					<td class="Filed2">
						<input type="submit" value="{$lang.save}" class="button" name="send" />
						<input type="reset" value="{$lang.reset}" class="button" />
						<input type="hidden" name="save" value="true"  />
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>
{include file="default/footer.tpl"}