﻿{include file="default/header.tpl"}

<script type="text/javascript">
$(document).ready(function() {
	var wrapper = $('<div/>').css({ height:0,width:0,'overflow':'hidden'});
	var fileInput = $(':file').wrap(wrapper);

	fileInput.change(function(){
		$('#file').val($(this).val());
	})

	$('#file').click(function(){
		fileInput.click();
	}).show();
	
	
	$("select[name=reward_type]").change(function () {
		if($(this).val() == '1'){
			$(".reward_points").show();
		}else{
			$(".reward_points").hide();
		}
	});
	if($("select[name=reward_type]").val() == '1'){
		$(".reward_points").show();
	}else{
		$(".reward_points").hide();
	}
	
	
	
});
</script>
<div class="contents">
	<div class="bigbox">
		<div class="headbox">{$title}</div>
		<form action="#" method="POST" enctype="multipart/form-data">
			<div class="bodybox" id="menu_page">
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td class="Filed1" width="20%">إسم المكافآة</td>
						<td class="Filed2">
							<input type="text" class="fieldclass" name="reward_name" size="60" value="{$reward->reward_name}" />
						</td>
					</tr>
					<tr>
						<td class="Filed1">وصف المكافآة</td>
						<td class="Filed2">
							<textarea type="text" class="fieldclass" name="reward_desc" rows="5" cols="80" >{$reward->reward_desc}</textarea>
						</td>
					</tr>
					<tr>
						<td class="Filed1">قيمة المكافآة</td>
						<td class="Filed2">
							<input type="text" class="fieldclass" name="reward_cost" size="20" value="{$reward->reward_cost}" />
						</td>
					</tr>
					<tr>
						<td class="Filed1">الكمية المتوفرة</td>
						<td class="Filed2">
							<input type="text" class="fieldclass" name="reward_count" size="20" value="{$reward->reward_count}" />
						</td>
					</tr>
					<tr>
						<td class="Filed1">صورة المكافآة</td>
						<td class="Filed2"><input id="file" type="text" class="fieldclass" size="60" value="إختيار الصورة..." />
							<input type="file" class="fieldclass" name="reward_image" size="60" value="" />
							
							{if $link_image}<br /><img class="fieldclass" src="{$link_image}" alt="" width="200px" />{/if}
							
						</td>
					</tr>
					<tr>
						<td class="Filed1">نوع المكافآة</td>
						<td class="Filed2">
							<select class="fieldclass" name="reward_type">
								<option {if $reward->reward_type eq '0'}selected{/if} value="0">الإفتراضية</option>
								<option {if $reward->reward_type eq '1'}selected{/if} value="1">شحن رصيد</option>
								<option {if $reward->reward_type eq '2'}selected{/if} value="2">إسم مرسل</option>
							</select>
						</td>
					</tr>
					<tr class="reward_points">
						<td class="Filed1">الرصيد الذي يعادل قيمة المكافآة</td>
						<td class="Filed2">
							<input type="text" class="fieldclass" name="reward_points" size="20" value="{$reward->reward_points}" />
						</td>
					</tr>
					<tr class="reward_points">
						<td class="Filed1">شحن الرصيد تلقائيا</td>
						<td class="Filed2">
							<select class="fieldclass" name="reward_points_auto">
								<option {if $reward->reward_points_auto eq '0'}selected{/if} value="0">لا</option>
								<option {if $reward->reward_points_auto eq '1'}selected{/if} value="1">نعم</option>
							</select>
						</td>
					</tr>
					<tr class="reward_points">
						<td class="Filed1">مدة صلاحية الرصيد</td>
						<td class="Filed2">
							<select class="fieldclass" name="reward_points_period" style="width:160px;">
								<option {if $reward->reward_points_period eq '1'}selected{/if} value="1">يوم واحد</option>
								<option {if $reward->reward_points_period eq '7'}selected{/if} value="7">أسبوع واحد</option>
								<option {if $reward->reward_points_period eq '30'}selected{/if} value="30">شهر واحد</option>
								<option {if $reward->reward_points_period eq '90'}selected{/if} value="90">ثلاثة أشهر</option>
								<option {if $reward->reward_points_period eq '183'}selected{/if} value="183">ستة أشهر</option>
								<option {if $reward->reward_points_period eq '365'}selected{/if} value="365">سنة واحدة</option>
								<option {if $reward->reward_points_period eq '0'}selected{/if} value="0">مدى الحياة</option>
							</select>
						</td>
					</tr>
				</table>
				<br />
				<div align="center">
					<input type="submit" value="{$submit}" class="button" name="submit" />
					<input type="reset" value="إستعادة" class="button" />
					<input type="hidden" name="hash" id="hash" value="{$Tk->userinfo($ID,'PASS')}" />
				</div>
				<br />
			</div>
		</form>
	</div>
</div>
{include file="default/footer.tpl"}