{include file="default/head.tpl"}

{if $slideshow  and $settings->slideshow_on}
<script type="text/javascript" src="{$settings->template}js/bjqs-1.3.js"></script>
<div id="slideshow" class="slideshow" >
	<ul class="bjqs">
	{foreach from=$slideshow item=slider}
		<li>{if $slider.slider_link != '' }<a href="{$slider.slider_link}" title="{$slider.slider_desc}">{/if}<img src="{$slider.slider_image}" title="{$slider.slider_desc}" alt="" />{if $slider.slider_link != '' }</a>{/if}</li>
	{/foreach}
	</ul>
</div>
<div class="slideshow_shadow"></div>
<script type="text/javascript">
$(document).ready(function() {
	$('#slideshow').bjqs({
		height      : 260, 
		width       : 940,
		animduration : 1000, 
		animspeed   : {$slideshow_timer}, 
        nexttext        : '<img src="{$settings->template}images/next.png" alt="" />', 
        prevtext        : '<img src="{$settings->template}images/prev.png" alt="" />', 
		responsive  : true
	});
});
</script>
{/if}
	  
{if ($package_a and $settings->package_a_on) or ($package_b and $settings->package_b_on) or ($package_c and $settings->package_c_on)  }
<script type="text/javascript">
$(document).ready(function() {
	$('#orderpackage_form').submit(function() {
		return confirm("{$lang.orderpackage_confirm}");
	});
	$('#orderpackage_a').click(function() {
		$('#package_id').val('a');
		$('#orderpackage_form').submit();
	});
	$('#orderpackage_b').click(function() {
		$('#package_id').val('b');
		$('#orderpackage_form').submit();
	});
	$('#orderpackage_c').click(function() {
		$('#package_id').val('c');
		$('#orderpackage_form').submit();
	});
	$('#detailspackage_a').click(function() {
		document.location = "{seoURL page='OrderPackage?id=A'}" ;
	});
	$('#detailspackage_b').click(function() {
		document.location = "{seoURL page='OrderPackage?id=B'}" ;
	});
	$('#detailspackage_c').click(function() {
		document.location = "{seoURL page='OrderPackage?id=C'}" ;
	});
});
</script>
<div style="margin:10px auto;padding:5px;text-align:center;">
	<form id="orderpackage_form" action="{seoURL page='OrderPackage'}" method="post">
	<table border="0" width="100%" cellspacing="0" cellpadding="0">
		<tr>
		{if $package_a and $settings->package_a_on }
			<td class="Filed2" style="text-align:center;">
				<div class="package_block">
					<div class="package_title" style="padding:5px;text-align:center;">
						<span class="color_a">{$settings->package_a_title}</span>
					</div>
					{section name=x loop=$package_a}
					<div class="package_propertie">
						{if $package_a[x].status eq '1'}<span style="color:green;">{$package_a[x].propertie}</span>{else}<span style="color:red;text-decoration: line-through;">{$package_a[x].propertie}</span>{/if}
					</div>
					{/section}
					<div style="padding:5px;text-align:center;">
						<span style="color:green;">{$settings->package_a_price}</span>
					</div>
					<div style="padding:5px;text-align:center;">
						<input id="detailspackage_a" type="button" value="{$lang.details}" class="button" /> <input id="orderpackage_a" type="button" value="{$lang.order_now}" class="button" />
					</div>
				</div>
			</td>
		{/if}
		{if $package_b and $settings->package_b_on }
			<td class="Filed2" style="text-align:center;">
				<div class="package_block">
					<div class="package_title" style="padding:5px;text-align:center;">
						<span class="color_a">{$settings->package_b_title}</span>
					</div>
					{section name=x loop=$package_b}
					<div class="package_propertie">
						{if $package_b[x].status eq '1'}<span style="color:green;">{$package_b[x].propertie}</span>{else}<span style="color:red;text-decoration: line-through;">{$package_b[x].propertie}</span>{/if}
					</div>
					{/section}
					<div style="padding:5px;text-align:center;">
						<span style="color:green;">{$settings->package_b_price}</span>
					</div>
					<div style="padding:5px;text-align:center;">
						<input id="detailspackage_b" type="button" value="{$lang.details}" class="button" /> <input id="orderpackage_b" type="button" value="{$lang.order_now}" class="button" />
					</div>
				</div>
			</td>
		{/if}
		{if $package_c and $settings->package_c_on }
			<td class="Filed2" style="text-align:center;">
				<div class="package_block">
					<div class="package_title" style="padding:5px;text-align:center;">
						<span class="color_a">{$settings->package_c_title}</span>
					</div>
					{section name=x loop=$package_c}
					<div class="package_propertie">
						{if $package_c[x].status eq '1'}<span style="color:green;">{$package_c[x].propertie}</span>{else}<span style="color:red;text-decoration: line-through;">{$package_c[x].propertie}</span>{/if}
					</div>
					{/section}
					<div style="padding:5px;text-align:center;">
						<span style="color:green;">{$settings->package_c_price}</span>
					</div>
					<div style="padding:5px;text-align:center;">
						<input id="detailspackage_c" type="button" value="{$lang.details}" class="button" /> <input id="orderpackage_c" type="button" value="{$lang.order_now}" class="button" />
					</div>
				</div>
			</td>
		{/if}
		</tr>
	</table>
	<input id="package_id" type="hidden" name="package_id" value="" />
	</form>
</div>
{/if}
	
	
{include file="default/menu.tpl"}

{if $settings->blocks_main_on and $Tk->profile('LEVEL') > 0}
<div class="block_content block_left">
	<h2>{$lang.main}</h2>
	<div class="body_content" style="text-align:center;">
		<a class="tooltip" href="{seoURL page='NewMsg'}" title="{$lang.new_sms}" ><img src="{$settings->template}images/new_sms.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='MsgList'}" title="{$lang.sms_messages_list}" ><img src="{$settings->template}images/msglist.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='Charge'}" title="{$lang.demand_balance}" ><img src="{$settings->template}images/charge.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='Repertoires'}" title="{$lang.mobiles_list}" ><img src="{$settings->template}images/repertoires.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='ShowTickets'}" title="{$lang.my_tickets}" ><img src="{$settings->template}images/tickets.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='NewTicket'}" title="{$lang.new_ticket}" ><img src="{$settings->template}images/new_ticket.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='Contact'}" title="{$lang.page_contact}" ><img src="{$settings->template}images/contact.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<br />
		<a class="tooltip" href="{seoURL page='SmsCat'}" title="{$lang.ready_sms_messages}" ><img src="{$settings->template}images/ready_sms.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='Reminders'}" title="{$lang.reminders}" ><img src="{$settings->template}images/reminders.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='Reminders?mode=add'}" title="{$lang.reminders_add}" ><img src="{$settings->template}images/reminders_add.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='Billings'}" title="{$lang.billing_list}" ><img src="{$settings->template}images/billings.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='Operations'}" title="{$lang.operations}" ><img src="{$settings->template}images/operations.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='MsgList?action=report'}" title="{$lang.report_request}" ><img src="{$settings->template}images/report.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
		<a class="tooltip" href="{seoURL page='MyProfile'}" title="{$lang.edit_info}" ><img src="{$settings->template}images/edit_info.png" style="width:48px;height:48px;vertical-align:middle;margin:25px;" alt="" /></a>
	</div>
</div>
{/if}

{if $settings->blocks_news_on }
<div class="block_content block_left">
	<h2>{$settings->blocks_news_title}</h2>
	<div class="body_content" style="padding:10px;">
		{$blocks_news_content}
	</div>
</div>
{/if}


{if $settings->blocks_readysms_on }
<div class="block_content block_left">
	<h2>{$lang.ready_sms_messages}</h2>
	<div class="body_content">
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
			{if $ready_sms }
			<tr>
				<td class="Filed2" style="text-align:center;">
					{section name=x loop=$ready_sms}
					<div class="sms_block">
						<div><a href="{seoURL page='ShowReadySms' id=$ready_sms[x].F_ID  }" title="{$ready_sms[x].F_NAME}">{$ready_sms[x].F_NAME}</a></div>
						<div><a href="{seoURL page='ShowReadySms' id=$ready_sms[x].F_ID  }" title="{$ready_sms[x].F_NAME}"><img src="{$ready_sms[x].cat_image}" alt="" style="width:190px;height:150px;border:1px solid #C5C5C5;padding:2px;" /></a></div>
						<div>{$lang.views}: <span class="color_a">{$ready_sms[x].F_VISITE}</span> | {$lang.readysms_countsms}: <span class="color_a">{$ready_sms[x].count_sms}</span></div>
					</div>
					{/section}
				</td>
			</tr>
			{else}
			<tr>
				<td class="Filed2" style="text-align:center;">{$lang.no_ready_sms_messages}</td>
			</tr>
			{/if}
		</table>
	</div>
</div>
{/if}


{if $settings->blocks_price_on and $prices }
<div class="block_content block_left">
	<h2>{$lang.page_prices}</h2>
	<div class="body_content">
		<div class="prices_download"><a href="{seoURL page='Prices'}?download=prices.doc" title="{$lang.download}" ><img  src="{$settings->template}images/doc.png" alt="" /></a></div>
		<div class="prices_search">
		<form action="{seoURL page='Prices'}#prices" method="post">
		<input type="text" class="fieldclass" name="search" size="10" value="" />
		<input type="submit" value=" {$lang.search} " class="button" />
		</form>
		</div>
		
		<table  id="prices" border="0" width="100%" cellspacing="0" cellpadding="0">
			<tr class="tabcont">
				<td class="tabhead" style="width:200px;"><b> {$lang.country} </b></td>
				<td class="tabhead"><b> {$lang.message_price} </b></td>
			</tr>
		</table>
		<div style="max-height:290px;overflow:auto;">
			<table id="table_prices" border="0" width="100%" cellspacing="0" cellpadding="0">
				{if $prices }
				{section name=x loop=$prices}
					<tr class="tabcont" {if $prices[x].userprice }style="background-color:#F4F9EA;"{/if} >
						<td style="width:200px;">{$prices[x].country}</td>
						<td>{if $prices[x].userprice }{$prices[x].userprice}{else}{$prices[x].price}{/if}</td>
					</tr>
				{/section}
				<tr class="tabcont">
					<td style="width:200px;">{$lang.rest_countries}</td>
					<td>{$settings->message_price}</td>
				</tr>
				{else}
					<tr class="tabcont">
						<td style="width:200px;">{$lang.all_countries}</td>
						<td>{$settings->message_price}</td>
					</tr>
				{/if}
			</table>
		</div>
	</div>
</div>
{/if}

{include file="default/footer.tpl"}