{include file="default/head.tpl"}
{include file="default/menu.tpl"}
<script type="text/javascript">
$(document).ready(function() {
	$('#send_to_selected_groups').click(function() {
		var selected = new Array();
		$("#form_groups input[type=checkbox]:checked").each(function(){
			selected.push($(this).val());
		});
		var selected = selected.join(',') ;
		if(selected){
			document.location = "{seoURL page='NewMsg'}?to=group&id="+selected;
		}
	});

	$(".checkgroups").click(function(){
		if($(this).is(":checked")){
			var id = $(this).val() ;
			$(".checkgroups").each(function(){
				var rel = $(this).attr("rel") ;
				if(rel == "parent"+id){
					$(this).prop("checked",true);
				}
			});
		} else {
			var id = $(this).val() ;
			$(".checkgroups").each(function(){
				var rel = $(this).attr("rel") ;
				if(rel == "parent"+id){
					$(this).prop("checked",false);
				}
			});
		}
	});
	
	$(".mobiles_count").click(function(){
		var gid = $(this).attr('alt').split('_')[1];
		var this_info = $(this) ;
		$.ajax({ async: false,
			type: 'POST',
			url: window.location.href ,
			data: 'action=getcount&gid='+gid,  
			success: function(data) {
				if(data.split('|')[0]=='true'){
					alert(data.split('|')[1]);
				}else{
					this_info.hide();
				}
			}
		});
	});
	
});
</script> 
<div class="block_content block_left">
	<h2>{$lang.add_group}</h2>
	<div class="body_content">
		<form action="#" method="POST">
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				<tr>
					<td class="Filed1">{$lang.group_name} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<input type="text" class="fieldclass" name="name" size="30" value="" />
					</td>
				</tr>
				<tr>
					<td class="Filed1">{$lang.group_parent} <span style="color:red;">*</span></td>
					<td class="Filed2">
						<select class="fieldclass" name="groupid" style="min-width:120px;">
							<option value="0">{$lang.group_noparent}</option>
							{section name=x loop=$sms_repertoire_groups}
								{if $sms_repertoire_groups[x].repertoire_group_parent == 0 }
								<option {if $sms_repertoire_mobile.repertoire_mobile_groupid eq $sms_repertoire_groups[x].repertoire_group_id } selected="selected" {/if} value="{$sms_repertoire_groups[x].repertoire_group_id}">{$sms_repertoire_groups[x].repertoire_group_name}</option>
								{/if}
							{/section}
						</select>
					</td>
				</tr>
				<tr>
					<td class="Filed1">&nbsp;</td>
					<td class="Filed2">
						<input type="submit" value="{$lang.add_group_now}" class="button" name="add_group" />
						<input type="reset" value="{$lang.reset}" class="button" />
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>
<div class="block_content block_left">
	<h2>{$lang.groups_list}</h2>
	<div class="body_content">
		<form action="{seoURL page='Repertoire'}?mode=export" method="POST" id="form_groups" >
			<table border="0" width="100%" cellspacing="0" cellpadding="0">
				{if $sms_repertoire_groups}
				<tr class="tabhead">
					<td><b> {$lang.group_name} </b></td>
					<td><b> {$lang.settings} </b></td>
					<td><b> {$lang.select_repertoire_groups} </b></td>
				</tr>
				{section name=x loop=$sms_repertoire_groups}
				<tr class="tabcont">
					<td class="text_align">{if $sms_repertoire_groups[x].repertoire_group_parent == 0 }<img style="vertical-align:middle;margin-left:4px;" src="{$settings->template}css/images/groups_parent.png" alt="" height="24" width="24" />{else}<img style="vertical-align:middle;margin-left:4px;" src="{$settings->template}css/images/group.png" alt="" height="24" width="48" />{/if}<a href="{seoURL page='Repertoire' id=$sms_repertoire_groups[x].repertoire_group_id}" title="{$sms_repertoire_groups[x].repertoire_group_name}" >{$sms_repertoire_groups[x].repertoire_group_name}</a> </td>
					<td><img style="vertical-align:middle;cursor:pointer;" src="{$settings->template}css/images/info.png" alt="g_{$sms_repertoire_groups[x].repertoire_group_id}" title="{$lang.mobiles_count}"  class="mobiles_count tooltip" height="24" width="24" /> 
					<a href="{seoURL page='Repertoire'}?mode=editgroup&id={$sms_repertoire_groups[x].repertoire_group_id}" title="{$lang.edit_group}" class="tooltip" ><img style="vertical-align:middle;" src="{$settings->template}css/images/edit.png" alt="" height="24" width="24" /></a> <a onclick="return confirm('{$lang.confirm_del_group}');"  href="{seoURL page='Repertoire'}?mode=delgroup&id={$sms_repertoire_groups[x].repertoire_group_id}"  title="{$lang.del_group}" class="tooltip" ><img style="vertical-align:middle;" src="{$settings->template}css/images/del.gif" alt="" height="24" width="24" /></a> <a href="{seoURL page='NewMsg'}?to=group&id={$sms_repertoire_groups[x].repertoire_group_id}" title="{$lang.send_sms_to_group}" class="tooltip" ><img style="vertical-align:middle;" src="{$settings->template}css/images/send.gif" alt="" height="24" width="24" /></a> </td>
					<td><input class="checkgroups" type="checkbox" name="export_groups[]" value="{$sms_repertoire_groups[x].repertoire_group_id}" rel="parent{$sms_repertoire_groups[x].repertoire_group_parent}" /></td>
				</tr>
				{/section}
				
				<tr class="tabcont">
					<td colspan="3"><input id="send_to_selected_groups" type="button" value="{$lang.send_to_selected_groups}" class="button" /> <input type="submit" value="{$lang.export_selected_groups}" class="button" />
					<select class="fieldclass" name="export_type" style="width:80px;">
							<option value="txt">*.txt</option>
							<option value="xls">*.xls</option>
						</select>
					</td>
				</tr>
				
				
				{else}
				<tr>
					<td class="Filed2" colspan="6" style="text-align:center;">{$lang.no_groups}</td>
				</tr>
				{/if}
			</table>
		</form>
	</div>
</div>
{include file="default/footer.tpl"}